/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:19:58 GMT 2022
 */

package ir.ramtung.impl1;

import ir.ramtung.sts01.LibraryException;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl1.Student;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Student_ESTest extends Student_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Student student0 = null;
      try {
        student0 = new Student("", "V1cAI");
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // Empty student ID is not allowed
         //
         verifyException("ir.ramtung.impl1.Student", e);
      }
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Student student0 = new Student(".", ".");
      int int0 = student0.allowedToBorrow();
      assertEquals(2, int0);
  }
}
